package main

import (
	"encoding/base64"
	"github.com/playwright-community/playwright-go"
	"log"
	"os"
)

func main() {
	options := &playwright.RunOptions{
		Browsers: []string{"chromium"},
	}
	err := playwright.Install(options)
	if err != nil {
		log.Panicf("error installing playwright: %w", err)
	}

	db := openDatabase()
	defer db.Close()

	w := NewWebClient(options)

	username := os.Getenv("VIVAPLUS_USER")
	//password := os.Getenv("VIVAPLUS_PASS")
	password, err := base64.StdEncoding.DecodeString(os.Getenv("VIVAPLUS_PASS"))
	if err != nil {
		log.Fatalf("error decoding password: %v", err)
	}

	err = w.VivaLogin(username, string(password))
	if err != nil {
		log.Fatalf("error login in: %v", err)
	}

	w.VivaDiscoverAllVideos(db)
	//w.VivaAddMetadata(db)
}
